Bug 10051 - setting apacher ServerName fails
setting apacher ServerName fails
Product: Red Hat Linux
Classification: Retired
Component: linuxconf (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2000-03-08 05:24 EST by Florian La Roche
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-04-04 03:07:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2000-03-08 05:24:46 EST
setting the apache ServerName is reported to not work
Comment 1 odaf 2000-04-04 03:07:59 EDT
I got an strange error related to this. Using IP number to get into web server
goes ok, using a DNS name is runs Ok too, but using the real name of the machine
Bad Request

Your browser sent a request that this server could not understand.

Client sent malformed Host header

Apache/1.3.12 Server at trsc14_40.xunta.es Port 80
Comment 2 Nalin Dahyabhai 2000-09-12 14:49:19 EDT
I suspect DNS resolution problems in both cases.  Clients typically append a
Host: header to their requests, specifying as a virtual host the name you used
for connecting to the server.  If the server does not recognize the name as
equivalent to one of its configured hosts (or the default), it should return an

Note You need to log in before you can comment on or make changes to this bug.